Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataControler

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataControler

    public class DataControler

extends java.lang.Object

DataControler
Classe permettant d'encapsuler les accès à la base de données dans des transactions
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.5 $
Author:
  Mathieu Larchet

Constructor Summary
`DataControler()`

Method Summary
`void` | `addAdmin(java.lang.String id)` Ajoute un administrateur
`void` | `addGrant(Grant grant)` Ajoute un droit
`void` | `addIntranetEntity(Entity en, java.lang.String id)` Ajoute une entité à la population d'un intranet
`void` | `close()` Ferme la connexion courante
`void` | `commit()` Commit la transaction
`void` | `createDocument(Document doc)` Crée un nouveau document
`void` | `createFolder(Folder folder)` Crée un dossier
`void` | `createIntranet(Intranet intranet)` Crée un intranet
`void` | `createMIME(MIME mime)` Crée un type MIME
`void` | `deleteFolder(java.lang.String intranet, java.lang.String id)` Supprime un dossier
`java.util.List` | `getAdmins()` Retourne la liste des administrateurs
`Document` | `getDocument(java.lang.String intranet, java.lang.String id)` Retourne un document
`java.util.List` | `getDocuments(java.lang.String intranet, java.lang.String id)` Retourne la liste des documents d'un dossier
`Folder` | `getFolder(java.lang.String id)` Retourne un dossier
`java.util.List` | `getFolderPath(java.lang.String id)` Retourne la liste des dossiers jusqu'à la racine (chemin)
`java.util.List` | `getFolders(java.lang.String id)` Retourne la liste des sous-dossiers d'un dossier
`FolderTree` | `getFolderTree(Intranet intranet)` Retourne l'arborescence d'un intranet
`java.util.List` | `getGrants(java.lang.String id)` Retourne la liste des droits d'un dossier
`Intranet` | `getIntranet(java.lang.String id)` Récupère un intranet
`java.util.List` | `getIntranetEntities(java.lang.String id)` Retourne la liste des entités d'un intranet
`java.util.List` | `getIntranets()` Récupère tous les intranets
`Document` | `getLinkedDocument(java.lang.String intranet, java.lang.String id)` Retourne l'identifiant du document lié
`java.util.List` | `getMIMEs()` Récupère tous les types MIME
`boolean` | `mimeExist(java.lang.String extension)` Teste si un type MIME existe déjà
`void` | `removeAdmin(java.lang.String id)` Supprime un administrateur
`void` | `removeDocument(Document doc, boolean pending)` Supprime un document
`void` | `removeGrant(Grant grant)` Supprime un droit
`void` | `removeIntranet(java.lang.String id)` Supprime un intranet
`void` | `removeIntranetEntity(Entity en, java.lang.String id)` Supprime une entité de la population d'un intranet
`void` | `removeMIME(java.lang.String extension)` Supprime un type MIME
`void` | `rollback()` Rollback la transaction
`void` | `setDocumentVisible(java.lang.String intranet, java.lang.String id, boolean visible)` Cache / Affiche un document
`void` | `setNotification(Grant grant)` Modifie la notification
`void` | `swapDocuments(java.lang.String id, java.lang.String doc, int oldorder, int neworder)` Echange le rang de deux documents
`void` | `swapFolders(java.lang.String id, java.lang.String id2, int oldorder, int neworder)` Echange le rang de deux dossiers
`void` | `swapIntranets(java.lang.String id, int oldorder, int neworder)` Echange le rang de deux intranets
`void` | `updateDocument(Document doc, boolean pending)` Modifie un document existant
`void` | `updateFolder(Folder folder)` Modifie un dossier existant
`void` | `validDocument(Document doc, boolean valid)` Valide / Invalide un document

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataControler

    public DataControler()

Method Detail

### close

    public void close()

  Ferme la connexion courante

### commit

    public void commit()

  Commit la transaction

### rollback

    public void rollback()

  Rollback la transaction

### getIntranet

    public Intranet getIntranet(java.lang.String id)
                         throws DataException

  Récupère un intranet

  Parameters:
    `id` - L'identifiant de l'intranet à récupérer
  Returns:
    intranet L'intranet
  Throws:
    `DataException`

### getIntranets

    public java.util.List getIntranets()
                                throws DataException

  Récupère tous les intranets

  Returns:
    intranets La liste des intranets
  Throws:
    `DataException`

### createIntranet

    public void createIntranet(Intranet intranet)
                        throws DataException

  Crée un intranet

  Parameters:
    `intranet` - L'intranet à créer
  Throws:
    `DataException`

### removeIntranet

    public void removeIntranet(java.lang.String id)
                        throws DataException

  Supprime un intranet

  Parameters:
    `id` - L'identifiant de l'intranet à supprimer
  Throws:
    `DataException`

### getFolder

    public Folder getFolder(java.lang.String id)
                     throws DataException

  Retourne un dossier

  Parameters:
    `id` - L'identifiant du dossier
  Returns:
    folder Le dossier
  Throws:
    `DataException`

### getFolders

    public java.util.List getFolders(java.lang.String id)
                              throws DataException

  Retourne la liste des sous-dossiers d'un dossier

  Parameters:
    `id` - L'identifiant du dossier père
  Returns:
    folders La liste des dossiers
  Throws:
    `DataException`

### getFolderPath

    public java.util.List getFolderPath(java.lang.String id)
                                 throws DataException

  Retourne la liste des dossiers jusqu'à la racine (chemin)

  Parameters:
    `id` - L'identifiant du dossier à partir duquel on construit le chemin
  Returns:
    path La liste chaînée indiquant le chemin jusqu'à la racine
  Throws:
    `DataException`

### createFolder

    public void createFolder(Folder folder)
                      throws DataException

  Crée un dossier

  Parameters:
    `folder` - Le dossier à créer
  Throws:
    `DataException`

### updateFolder

    public void updateFolder(Folder folder)
                      throws DataException

  Modifie un dossier existant

  Parameters:
    `folder` - Le dossier à modifier
  Throws:
    `DataException`

### deleteFolder

    public void deleteFolder(java.lang.String intranet,
                             java.lang.String id)
                      throws DataException

  Supprime un dossier

  Parameters:
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du dossier
  Throws:
    `DataException`

### getFolderTree

    public FolderTree getFolderTree(Intranet intranet)
                             throws DataException

  Retourne l'arborescence d'un intranet

  Parameters:
    `intranet` - L'intranet
  Returns:
    tree L'arborescence
  Throws:
    `DataException`

### getDocument

    public Document getDocument(java.lang.String intranet,
                                java.lang.String id)
                         throws DataException

  Retourne un document

  Parameters:
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document
  Returns:
    doc Le document
  Throws:
    `DataException`

### getLinkedDocument

    public Document getLinkedDocument(java.lang.String intranet,
                                      java.lang.String id)
                               throws DataException

  Retourne l'identifiant du document lié

  Parameters:
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document père
  Returns:
    doc Le document
  Throws:
    `DataException`

### getDocuments

    public java.util.List getDocuments(java.lang.String intranet,
                                       java.lang.String id)
                                throws DataException

  Retourne la liste des documents d'un dossier

  Parameters:
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du dossier
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

### createDocument

    public void createDocument(Document doc)
                        throws DataException

  Crée un nouveau document

  Parameters:
    `doc` - Le document à créer
  Throws:
    `DataException`

### updateDocument

    public void updateDocument(Document doc,
                               boolean pending)
                        throws DataException

  Modifie un document existant

  Parameters:
    `doc` - Le document à modifier
    `pending` - Si les modifications sont mises en attente
  Throws:
    `DataException`

### removeDocument

    public void removeDocument(Document doc,
                               boolean pending)
                        throws DataException

  Supprime un document

  Parameters:
    `doc` - Le document
    `pending` - Si la suppression est mise en attente
  Throws:
    `DataException`

### validDocument

    public void validDocument(Document doc,
                              boolean valid)
                       throws DataException

  Valide / Invalide un document

  Parameters:
    `doc` - Le document
    `valid` - La validité
  Throws:
    `DataException`

### setDocumentVisible

    public void setDocumentVisible(java.lang.String intranet,
                                   java.lang.String id,
                                   boolean visible)
                            throws DataException

  Cache / Affiche un document

  Parameters:
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document
    `visible` - La visibilité du document
  Throws:
    `DataException`

### getMIMEs

    public java.util.List getMIMEs()
                            throws DataException

  Récupère tous les types MIME

  Returns:
    mimes La liste des types MIME
  Throws:
    `DataException`

### createMIME

    public void createMIME(MIME mime)
                    throws DataException

  Crée un type MIME

  Parameters:
    `mime` - Le type MIME à créer
  Throws:
    `DataException`

### removeMIME

    public void removeMIME(java.lang.String extension)
                    throws DataException

  Supprime un type MIME

  Parameters:
    `extension` - L'extension associée au type MIME
  Throws:
    `DataException`

### mimeExist

    public boolean mimeExist(java.lang.String extension)
                      throws DataException

  Teste si un type MIME existe déjà

  Parameters:
    `extension` - L'extension du type à tester
  Returns:
    boolean True si le type MIME existe, false sinon
  Throws:
    `DataException`

### getIntranetEntities

    public java.util.List getIntranetEntities(java.lang.String id)
                                       throws DataException

  Retourne la liste des entités d'un intranet

  Parameters:
    `id` - l'identifiant de l'intranet
  Returns:
    entities La liste des entités
  Throws:
    `DataException`

### addIntranetEntity

    public void addIntranetEntity(Entity en,
                                  java.lang.String id)
                           throws DataException

  Ajoute une entité à la population d'un intranet

  Parameters:
    `en` - l'entité à ajouter
    `id` - l'identifiant de l'intranet
  Throws:
    `DataException`

### removeIntranetEntity

    public void removeIntranetEntity(Entity en,
                                     java.lang.String id)
                              throws DataException

  Supprime une entité de la population d'un intranet

  Parameters:
    `en` - l'entité à supprimer
    `id` - l'identifiant de l'intranet
  Throws:
    `DataException`

### getAdmins

    public java.util.List getAdmins()
                             throws DataException

  Retourne la liste des administrateurs

  Returns:
    admins La liste
  Throws:
    `DataException`

### addAdmin

    public void addAdmin(java.lang.String id)
                  throws DataException

  Ajoute un administrateur

  Parameters:
    `id` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### removeAdmin

    public void removeAdmin(java.lang.String id)
                     throws DataException

  Supprime un administrateur

  Parameters:
    `id` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### getGrants

    public java.util.List getGrants(java.lang.String id)
                             throws DataException

  Retourne la liste des droits d'un dossier

  Parameters:
    `id` - L'identifiant du dossier
  Returns:
    grants La liste des droits
  Throws:
    `DataException`

### addGrant

    public void addGrant(Grant grant)
                  throws DataException

  Ajoute un droit

  Parameters:
    `grant` - Le droit à ajouter
  Throws:
    `DataException`

### removeGrant

    public void removeGrant(Grant grant)
                     throws DataException

  Supprime un droit

  Parameters:
    `grant` - Le droit à supprimer
  Throws:
    `DataException`

### setNotification

    public void setNotification(Grant grant)
                         throws DataException

  Modifie la notification

  Parameters:
    `grant` - Le droit à modifier
  Throws:
    `DataException`

### swapDocuments

    public void swapDocuments(java.lang.String id,
                              java.lang.String doc,
                              int oldorder,
                              int neworder)
                       throws DataException

  Echange le rang de deux documents

  Parameters:
    `id` - L'identifiant du dossier
    `doc` - L'identifiant du document
    `oldorder` - L'ancien rang du document
    `neworder` - Le nouveau rang du document
  Throws:
    `DataException`

### swapFolders

    public void swapFolders(java.lang.String id,
                            java.lang.String id2,
                            int oldorder,
                            int neworder)
                     throws DataException

  Echange le rang de deux dossiers

  Parameters:
    `id` - L'identifiant du dossier parent
    `id2` - L'identifiant du dossier
    `oldorder` - L'ancien rang du dossier
    `neworder` - Le nouveau rang du dossier
  Throws:
    `DataException`

### swapIntranets

    public void swapIntranets(java.lang.String id,
                              int oldorder,
                              int neworder)
                       throws DataException

  Echange le rang de deux intranets

  Parameters:
    `id` - L'identifiant de l'intranet
    `oldorder` - L'ancien rang de l'intranet
    `neworder` - Le nouveau rang de l'intranet
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD